/*------------------------------------------------------------------*-

   Bytes.C (v1.00)

  ------------------------------------------------------------------

   Reads from P1 and copies the value to P2.


   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include <Reg52.H>  

/* ............................................................... */

void main (void)
   {
   unsigned char Port1_value;

   // Must set up P1 for reading
   P1 = 0xFF;

   while(1) 
     { 
     // Read the value of P1
     Port1_value = P1;

     // Copy the value to P2
     P2 = Port1_value;
     }
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
