/*------------------------------------------------------------------*-

   Bits1.C (v1.00)

  ------------------------------------------------------------------

   Reading and writing individual port pins.

   NOTE: Both pins on the same port


   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include <reg52.H>  

sbit Switch_pin = P1^0;
sbit LED_pin = P1^1;

/* ............................................................... */

void main (void)
   {
   bit x;
   
   while(1) 
     {
     x = Switch_pin;   // Read Port 1, Pin 0
     LED_pin = x;      // Write to Port 1, Pin 1
     }
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
