/*------------------------------------------------------------------*-

   Switch_Wait_TimeoutL.H (v1.00)

  ------------------------------------------------------------------

   - See Switch_Wait_TimeoutL.C for details.   

   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#ifndef _SWITCH_WAIT_H
#define _SWITCH_WAIT_H

// ------ Public constants -----------------------------------------
// Return values from Switch_Get_Input()
#define SWITCH_NOT_PRESSED (bit) 0 
#define SWITCH_PRESSED (bit) 1 

// ------ Public function prototype --------------------------------
void SWITCH_Init(void);
bit  SWITCH_Get_Input(const tByte DEBOUNCE_PERIOD); 

#endif  

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/

