/*------------------------------------------------------------------*-

   Bargraph.h (v1.00)

  ------------------------------------------------------------------

   - See Bargraph.c for details.

   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#ifndef _BARGRAPH_H
#define _BARGRAPH_H

#include "Main.h"

// ------ Public data type declarations ----------------------------

typedef tByte tBargraph;

// ------ Public function prototypes -------------------------------

void BARGRAPH_Init(void);
void BARGRAPH_Update(void);

// ------ Public constants -----------------------------------------

#define BARGRAPH_MAX (9)
#define BARGRAPH_MIN (0)

#endif

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/

