/*------------------------------------------------------------------*-

   Main.c (v1.00)

  ------------------------------------------------------------------

   Traffic light example.

   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include "Main.H"
#include "Port.H"
#include "Simple_EOS.H"

#include "T_Lights.H"

/* --------------------------------------------------------------- */

void main(void)
   {
   // Prepare to run traffic sequence
   TRAFFIC_LIGHTS_Init(RED);  

   // Set up simple EOS (50 ms ticks)
   sEOS_Init_Timer2(50);      
   
   while(1) // Super Loop
      {
      // Enter idle mode to save power
      sEOS_Go_To_Sleep();  
      }
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
