/*------------------------------------------------------------------*-

   Port.H (v1.00)

  ------------------------------------------------------------------

  'Port Header' (see Chap 5) for project ROBOT (see Chap 9)

   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#ifndef _PORT_H
#define _PORT_H

// ------ Menu_A.C ----------------------------------------------
// Uses whole of Port 1 and Port 2 for data acquisition 
#define Data_Port1 P1
#define Data_Port2 P2

// ------ Stepper.C -----------------------------------------------
// Connect these pins to the 'step' input on the stepper motor driver
sbit Motor_L_pin = P1^7;
sbit Motor_R_pin = P1^6;

// ------ PC_IO.C -----------------------------------------------
    
// Pins 3.0 and 3.1 used for RS-232 interface

#endif

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/



