/*------------------------------------------------------------------*-

   Keypad.h (v1.00)

  ------------------------------------------------------------------

   - see Keypad.C for details.


   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#ifndef _KEY_H
#define _KEY_H

// ------ Public function prototypes -------------------------------
void KEYPAD_Init(void);
void KEYPAD_Update(void);

bit  KEYPAD_Get_Data_From_Buffer(char* const);
void KEYPAD_Clear_Buffer(void);

#endif

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/

