/*------------------------------------------------------------------*-

   Main.C (v1.00)

  ------------------------------------------------------------------

   Testing timeout loops.


   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include <reg52.H>

#include "TimeoutL.H"

// Typedefs (see Chap 5)  
typedef unsigned char tByte;
typedef unsigned int  tWord;
typedef unsigned long tLong;

// Function prototypes
void Test_Timeout(void); 

/*------------------------------------------------------------------*/
void main(void)
   {
   while(1) 
      {
      Test_Timeout();  
      }
   }

/*------------------------------------------------------------------*/
void Test_Timeout(void)
   {
   tLong Timeout_loop = LOOP_TIMEOUT_INIT_10000ms;

   // Simple loop timeout...
   while (++Timeout_loop != 0);
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
