/*------------------------------------------------------------------*-

   Main.c (v1.00)

  ------------------------------------------------------------------

   Using sEOS to control a washing machine (demo) - see Chapter 8.


   COPYRIGHT
   ---------

   This code is associated with the book:

   EMBEDDED C by Michael J. Pont 
   [Pearson Education, 2002: ISBN: 0-201-79523-X].

   This code is copyright (c) 2001 by Michael J. Pont.
 
   See book for copyright details and other information.

-*------------------------------------------------------------------*/

#include "Main.H"
#include "Port.H"
#include "Simple_EOS.H"

#include "Washer.H"

/* --------------------------------------------------------------- */

void main(void)
   {
   // Prepare for washing task
   WASHER_Init();

   // Set up simple EOS (50 ms tick)
   sEOS_Init_Timer2(50);   
   
   while(1) // Super Loop
      {
      sEOS_Go_To_Sleep();  // Enter idle mode to save power
      }
   }

/*------------------------------------------------------------------*-
  ---- END OF FILE -------------------------------------------------
-*------------------------------------------------------------------*/
